QGIS Application - Bug report #349
Buffer plugin fails
2006-10-17 10:18 PM - Gary Sherman

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: C++ Plugins

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10408
Description

When buffering a [[PostGIS]] layer, the buffer (geoprocessing) plugin fails with:

"Unable to add geometry column to the output table"

History

#1 - 2006-11-11 09:44 AM - Gary Sherman
This fix has been tested with:

- POSTGIS="1.1.1" GEOS="2.0.1" PROJ="Rel. 4.4.9, 29 Oct 2004"

- [[PostgreSQL]] 8.1.3
Because of the change in the name of the geometry check constraint created by
addgeometrycolumn (from $2 to enforce_geotype_shape) this fix requires a recent
version of [[PostGIS]]. The minimum [[PostGIS]] version that will work with this fix is
unknown.
Additional testing is needed by other [[PostGIS])/PostgreSQL version combinations.
#2 - 2006-11-11 09:45 AM - Gary Sherman
- Resolution set to fixed
- Status changed from Open to Closed

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
